#if defined _window_included
  #endinput
#endif
#define _window_included

enum
{
	WND_SELF = 0,
	WND_MAIN,
	WND_BG,
};

native wndGetName( _window_, _name_[], _bufsize_ = sizeof _name_ );
native obj: wndGetScene( _window_ );
native wndGetScreen( _window_, &_width_, &_height_, &_dist_ );

#if 0
native SetWndVar( const _key_[], _val_ );
native bool: GetWndVar( const _key_[], &_val_ );
native SetWndVarStr( const _key_[], const _val_[] );
native bool: GetWndVarStr( const _key_[], _val_[], _bufsize_ = sizeof _val_ );
#endif // 0
